Subject: Re: rh_init exported twice (rheap vs. dm-region_hash)

From: Timur Tabi <[email-masked]>
Date: Mon, 23 Jun 2008 07:38:23 -0500

Matt Sealey wrote:

> I was thinking of renaming the dm hash one to rh_hash_init() and then I
> thought, maybe rh_heap_init() is better. Then I thought, why have rh in
> both places, why not rename the entire API (rheap_ and rhash_) in both
> cases?

I'm okay with renaming the rh_xxx calls in rheap.c to rheap_xxx.  I also think 
renaming the rh_ calls to rhash is a good idea.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale